<?php
/*
	Redaxo-Addon RexTree
	Installation
	v1.1
	by Falko Müller @ 2010-2013
	package: redaxo4
*/

//Variablen deklarieren
$mypage = "rextree";
$error = "";


//Sprachfile einladen
if ($REX['REDAXO']):
	$I18N->appendFile($REX['INCLUDE_PATH']."/addons/".$mypage."/lang/");
endif;


//Datenbank-Einträge vornehmen
//Config-Tabelle
$db = rex_sql::factory();
$db->setQuery("DROP TABLE IF EXISTS ".$REX['TABLE_PREFIX']."136_rextree_config");
$db = rex_sql::factory();
$db->setQuery("CREATE TABLE ".$REX['TABLE_PREFIX']."136_rextree_config (
																`id` int(3) NOT NULL AUTO_INCREMENT,
																`align` tinyint(1) NOT NULL DEFAULT '0',
																`context` tinyint(1) NOT NULL DEFAULT '0',
																`gui` tinyint(1) NOT NULL DEFAULT '0',
																`chars` tinyint(1) NOT NULL DEFAULT '0',
																`showid` tinyint(1) NOT NULL DEFAULT '0',
																`allsites` tinyint(1) NOT NULL DEFAULT '0',
																PRIMARY KEY (`id`)) ENGINE=MyISAM COMMENT='Rextree - Konfiguration'");
$error .= ($db->getError() != "") ? "CREATE TABLE ".$REX['TABLE_PREFIX']."136_rextree_config (".$db->getError().")<br />" : '';

$db = rex_sql::factory();
$db->setTable($REX['TABLE_PREFIX']."136_rextree_config");
$db->setValue("align", "0");
$db->setValue("context", "1");
$db->setValue("gui", "1");
$db->setValue("chars", "0");
$db->setValue("showid", "0");
$db->setValue("allsites", "1");
$db->insert();
$error .= ($db->getError() != "") ? "INSERT INTO TABLE ".$REX['TABLE_PREFIX']."136_rextree_config (".$db->getError().")<br />" : '';


//files-Dateien erstellen/kopieren
$source_dir = $REX['INCLUDE_PATH'].'/addons/'.$mypage.'/files';
$dest_dir = $REX['MEDIAFOLDER'].'/addons/'.$mypage;
$start_dir = $REX['MEDIAFOLDER'].'/addons';

if (is_dir($source_dir)):
	//zuerst addons-Verzeichnis prüfen/anlegen im files-Ordner
	if (!is_dir($start_dir)):
		mkdir($start_dir);
		chmod($start_dir, 0777);
	endif;
	
	//jetzt alle Inhalte aus addon-files nach files-ordner kopieren
	if (!rex_copyDir($source_dir, $dest_dir, $start_dir)):
		$error = $I18N->msg('a136_dir').' '.$source_dir.' '.$I18N->msg('a136_notcopyed').' ('.$I18N->msg('a136_destdir').': '.$dest_dir.')!';
	endif;
endif;


//Module anlegen

//Aktionen anlegen

//Templates anlegen


//Installation abschließen und Fehler aufbereiten
if (!empty($error)):
	$REX['ADDON']['installmsg'][$mypage] = $error;
	$REX['ADDON']['install'][$mypage] = 0;
else:
	//Komponente als installiert markieren
	$REX['ADDON']['install'][$mypage] = 1;
endif;
?>