<?php
/*
	Redaxo-Addon RexTree
	Konfiguration
	v1.1
	by Falko Müller @ 2010-2013
	package: redaxo4
*/

//Variablen deklarieren
$mypage = "rextree";

$REX['ADDON']['rxid'][$mypage] = '136';
$REX['ADDON']['page'][$mypage] = $mypage;
$REX['ADDON']['perm'][$mypage] = 'rextree[settings]';
$REX['ADDON']['author'][$mypage] = '© Falko Müller';
$REX['ADDON']['version'][$mypage] = '1.1';
$REX['ADDON']['supportpage'][$mypage] = 'forum.redaxo.de';

$REX['PERM'][] = 'rextree[settings]';

//Sprachfile einladen
if ($REX['REDAXO']):
	$I18N->appendFile($REX['INCLUDE_PATH']."/addons/".$mypage."/lang/");
	$REX['ADDON']['name'][$mypage] = $I18N->Msg('a136_title');
endif;

//Backendfunktionen einladen/definieren
if ($REX['REDAXO'] && $REX["USER"] && $REX['ADDON']['status'][$mypage] == true):
	require_once $REX['INCLUDE_PATH']."/addons/".$mypage."/functions/functions.inc.php";

	//Backend "verbessern"
	rex_register_extension('OUTPUT_FILTER', 'a136_custBE');

	//Treeeinbindung festlegung
	$page = rex_request('page');
	$subpage = rex_request('subpage');
	$stcArr = array("structure", "content");	//Definition der gültigen Seiten, wo die Strukturerweiterungen greifen sollen
	$stcAll = 1;								//Parameter, um Tree in allen bereichen anzeigen zu lassen
	$stcAllNot = array("mediapool", "linkmap", "imagecropper");	//Definition der ungültigen Seiten, wo die Strukturerweiterungen nicht greifen sollen
	
		if (in_array($page, $stcArr) || ($stcAll == 1 && !in_array($page, $stcAllNot) || $stcAll == 1 && $page == "imagecropper" && $subpage != "cropimg")):
			rex_register_extension('PAGE_HEADER', 'a136_addAssets');
			rex_register_extension('OUTPUT_FILTER', 'a136_showTree');
		endif;
endif;
?>