//Tree starten
jQuery(document).ready(function(){
	//Right-Click-Menu erzeugen
	var rextreeClicked;	//Ziel-ID zwischenspeichern
	jQuery("#rex-treeview a").contextMenu('rextreeRightmenu', {
		menuStyle : { width : "200px", fontFamily : "Arial, Helvetica, sans-serif", fontSize : "11px" },
		shadow : false,
		onContextMenu: function(e) {
			//rextreeClicked = jQuery(e.target).attr('rev');
			tmpid = jQuery(e.target).attr('id');
			tmprev = jQuery(e.target).attr('rev');
			var isArt = true;
				if (tmpid == 'showCatOn' || tmpid == 'showCatOff') { isArt = false; }					
			jQuery('#opennw').bind('click', function() { openRexTreeSite(tmprev, isArt); });
			
			return true;
		},
		onShowMenu: function(e, menu) {
			//tmpid = jQuery(e.target).attr('id');
			//tmprev = jQuery(e.target).attr('rev');
			
			if (tmpid == 'showCatOn') 		{ jQuery('#editart, #onart, #offart, #renart, #delart, #oncat', menu).remove(); }
			if (tmpid == 'showCatOff') 		{ jQuery('#editart, #onart, #offart, #renart, #delart, #offcat', menu).remove(); }
			if (tmpid == 'showArtOn') 		{ jQuery('#newcat, #newart, #oncat, #offcat, #rencat, #delcat, #onart', menu).remove();	}
			if (tmpid == 'showArtOff') 		{ jQuery('#newcat, #newart, #oncat, #offcat, #rencat, #delcat, #offart', menu).remove(); }
			if (tmpid == 'showArtStart') 	{ jQuery('#newcat, #newart, #oncat, #offcat, #rencat, #delcat, #onart, #offart, #delart, #rextreeCmenuHR', menu).remove(); }

			return menu;
		},
		bindings : {
			'newcat' 	: function(t){ redirRexTree(tmprev, 'category_id', 'structure', 'add_cat'); },
			'newart' 	: function(t){ redirRexTree(tmprev, 'category_id', 'structure', 'add_art'); },
			'oncat' 	: function(t){ redirRexTree(tmprev, 'edit_id', 'structure', 'status'); },
			'offcat' 	: function(t){ redirRexTree(tmprev, 'edit_id', 'structure', 'status'); },
			'rencat' 	: function(t){ redirRexTree(tmprev, 'edit_id', 'structure', 'edit_cat'); },
			'delcat' 	: function(t){ redirRexTree(tmprev, 'edit_id', 'structure', 'catdelete_function'); },
			'editart' 	: function(t){ redirRexTree(tmprev, 'article_id', 'content', '0&mode=edit'); },
			'onart' 	: function(t){ redirRexTree(tmprev, 'article_id', 'structure', 'status_article'); },
			'offart' 	: function(t){ redirRexTree(tmprev, 'article_id', 'structure', 'status_article'); },
			'renart' 	: function(t){ redirRexTree(tmprev, 'article_id', 'structure', 'edit_art'); },
			'delart' 	: function(t){ redirRexTree(tmprev, 'article_id', 'structure', 'artdelete_function'); }
		}
	});

});

function redirRexTree(path, type, page, func)
{	//path = array = 1|0|1 = artid-catid|pre_id|clang
	path = path.split("|");
		id = parseFloat(path[0]);
		catid = parseFloat(path[1]);
		clang = parseFloat(path[2]);
	
	if (isNaN(clang)) { clang = 0; }
	if (!isNaN(id) > 0 && type != "" && page != "" && func != "") {
		//Artikel spezifische Kategorie-ID auswerten
		if (!isNaN(catid) >= 0 && type != "category_id") {
			artcat = "&category_id="+catid;
		} else {
			artcat = "";
		}
		
		url = 'index.php?page='+ page +'&'+ type +'='+ id +'&function='+ func +'&clang='+ clang + artcat;
		
		//Löschabfrage zeigen
		if (func == "catdelete_function" || func == "artdelete_function") {
			check = confirm('Löschen ?');
				if (check == true) {
					window.location.href = url;
				} else {
					return false;
				}
		} else {
			window.location.href = url;
		}
	} else {
		return false;
	}	
}

function openRexTreeSite(path, isArt)
{	path = path.split("|");
		id = parseFloat(path[0]);
		catid = parseFloat(path[1]);
		clang = parseFloat(path[2]);
	
	if (isNaN(clang)) { clang = 0; }
	if (!isNaN(id) > 0) {
		url = 'index.php?article_id='+ id +'category_id='+ catid +'&clang='+ clang;
			if (isArt) { url += '&page=content&mode=edit' } 
			else { url += '&page=structure' }
		
		window.open(url);
		jQuery('div#jqContextMenu').hide();
	}
}