<?php
/*
	Redaxo-Addon RexTree
	Deinstallation
	v1.1
	by Falko Müller @ 2010-2013
	package: redaxo4
*/

//Variablen deklarieren
$mypage = 'rextree';
$error = ""; $notice = "";


//Sprachfile einladen
if ($REX['REDAXO']):
	$I18N->appendFile($REX['INCLUDE_PATH']."/addons/".$mypage."/lang/");
endif;


//Datenbank-Einträge löschen
$db = rex_sql::factory();
$db->setQuery("DROP TABLE IF EXISTS ".$REX['TABLE_PREFIX']."136_rextree_config");


//files-Dateien löschen
$source_dir = $REX['MEDIAFOLDER'].'/addons/'.$mypage;

if (is_dir($source_dir)):
	if (!rex_deleteDir($source_dir, true)):
		$error = $I18N->msg('a136_dir').' '.$source_dir.' '.$I18N->msg('a136_notdeleted').'!';
	endif;
endif;


//Module löschen
//$notice .= 'Bitte löschen Sie die installierten Addon-Module von Hand.<br />';

//Aktionen löschen
//$notice .= 'Bitte löschen Sie die installierten Addon-Aktionen von Hand.<br />';

//Templates löschen
//$notice .= 'Bitte löschen Sie die installierten Addon-Templates von Hand.<br />';


//Deinstallation abschließen und Fehler aufbereiten
if (!empty($error)):
	$REX['ADDON']['installmsg'][$mypage] = $error;
	rex_warning($error);
endif;
	//Komponente als deinstalliert markieren
	$REX['ADDON']['install'][$mypage] = 0;
	//$REX['ADDON']['installmsg'][$mypage] = $notice;
?>